Bug 121421 - wrong kernel module for Adaptec 2940AU
wrong kernel module for Adaptec 2940AU
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-21 09:23 EDT by Kai Hambrecht
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 16:21:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kai Hambrecht 2004-04-21 09:23:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040113

Description of problem:
Kudzu detects Adaptec 2940AU and wants to use kernel module "aic7xxx".
Stock kernel package only contains "aic7xxx_old" but not "aic7xxx".
Card has to be configured manualy, or compile custom kernel and
activate new aic7xxx driver.

Version-Release number of selected component (if applicable):
kudzu-1.1.36-1, kernel-2.4.22-1.2174

How reproducible:
Always

Steps to Reproduce:
1. invoke kudzu
2. look at /etc/sysconfig/hwconf
3. wrong kernel module
    

Additional info:
Comment 1 Bill Nottingham 2004-04-21 12:30:42 EDT
$ rpm -qlp kernel-2.4.22-1.2179.nptl.i686.rpm | grep aic7xxx
/lib/modules/2.4.22-1.2179.nptl/kernel/drivers/scsi/aic7xxx
/lib/modules/2.4.22-1.2179.nptl/kernel/drivers/scsi/aic7xxx/aic79xx.o
/lib/modules/2.4.22-1.2179.nptl/kernel/drivers/scsi/aic7xxx/aic7xxx.o
/lib/modules/2.4.22-1.2179.nptl/kernel/drivers/scsi/aic7xxx_old.o


aic7xxx is included on x86. We really need the driver set to be the
same across arches.
Comment 2 Kai Hambrecht 2004-04-21 17:45:49 EDT
unfortunately, the driver set is not the same on different architectures:

$ rpm -qlp kernel-2.4.22-1.2179.nptl.x86_64.rpm | grep aic7xxx
/lib/modules/2.4.22-1.2179.nptl/kernel/drivers/scsi/aic7xxx
/lib/modules/2.4.22-1.2179.nptl/kernel/drivers/scsi/aic7xxx/aic79xx.o
/lib/modules/2.4.22-1.2179.nptl/kernel/drivers/scsi/aic7xxx_old.o


$ diff kernel-2.4.22-i686.config kernel-2.4.22-x86_64.config
...
2220c2188
< CONFIG_SCSI_AIC7XXX=m
---
> # CONFIG_SCSI_AIC7XXX is not set
...
Comment 3 David Lawrence 2004-09-29 16:21:10 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.